2014-05-31	Mike Massonnet
=== Release 1.2.6 ===

2014-05-31  Mike Massonnet
Include .appdata.xml file inside tarball distribution

2014-05-31  Mike Massonnet
Fix typo and use correct screenshot for .appdata.xml (bug 10926)

2014-05-31  Mike Massonnet
Include an .appdata.xml file

2014-05-31  Mike Massonnet
Move icons/ to data/icons/

2014-05-30  Mike Massonnet
Switch to gtk_clipboard_request_text for retrieving text (bug 10225)

2014-05-30  Mike Massonnet
Update Years

2014-05-30  Mike Massonnet
Position menu with XfceScreenPosition (bug 8849)

2014-05-28	Mike Massonnet
Update default action Long URL with whitespace \s

2014-05-28	Mike Massonnet
Fix link to online documentaion

2014-02-05	Mike Massonnet
=== Release 1.2.5 ===

2014-02-05	Mike Massonnet
Bind skip-action option on the correct radio button (setting was reversed)

2014-02-05	Mike Massonnet
Set empty text on the clipboard when clearing history

    Call gtk_clipboard_text with an empty string before calling
    gtk_clipboard_clear. gtk_clipboard_clear must only be called after
    owning the clipboard.

2014-02-02	Mike Massonnet
=== Release 1.2.4 ===

2014-02-02  Mike Massonnet
Remove doc submodule

2014-02-02  Mike Massonnet
Bug #10667: define different menmonic

2014-02-02  Christian Hesse
Bug #9528: QR-code encoder

    Optional build, requires libqrencode >= 3.3.

2014-02-01  Mike Massonnet
Bug #9896: move Disable item inside context/right-click menu

2014-02-01  Mike Massonnet
Bug #10506: allow skipping actions by pressing or not CTRL

2012-04-09	Mike Massonnet
=== Release 1.2.3 ===

2012-04-09	Mike Massonnet
Fix typo s/ClipboardHistoryItem/ClipmanHistoryItem/

2012-04-06	Mike Massonnet
Fix 906099: Handle images and texts as one stack

	Texts and images were still handled differently, and copying
	new texts wouldn't remove old images. That's fixed.

	Now max_texts_in_history is used as the length of the history.

2012-03-15	Mike Massonnet
Bug #8571: Fix height of history menu

2012-03-15	Mike Massonnet
Fix 1a5a2b: Add support for GTK 2.14

2012-03-12	Mike Massonnet
settings: Update online documentation URL

2012-03-08	Mike Massonnet
Bug #8307: Handle images and texts as one stack

	The images and texts are handle in two lists, but the History class
	returns a copy of a list named in intern "items" that is a copy of
	the pointers from the images and texts lists.

2012-03-06	Mike Massonnet
Bug #8523: Added a checkbox "Don't ask again" to clear the history

2012-03-05	 Mike Massonnet
actions: Make sure configuration directory for actions exists

2012-03-05	Mike Massonnet
Update copyright years

2012-03-04	Mike Massonnet
Bug 8403: Include rows support from Xfce Panel 4.9

2012-03-04	Mike Massonnet
daemon: Rename directory daemon to x11-clipboard-manager

2011-11-14	Mike Massonnet
Bug 8147: Don't terminate gtk_message_dialog_new_with_markup with NULL

2011-11-05	Mike Massonnet
Bug 8106: Use g_return_val_if_fail instead of g_return_if_fail

2011-11-01	Mike Massonnet
=== Release 1.2.2 ===

2011-11-01	Mike Massonnet
build-env: Update rules for libclipman.so

	Use new libtool syntax in autoconf script and depend on version 2.2.6.
	Update automake rule for libclipman.la with -avoid-version -module.

2011-11-01	Mike Massonnet
build-env: Add hard-dependency to xproto

2011-10-31	Mike Massonnet
=== Release 1.2.1 ===

2011-10-31	Mike Massonnet
actions: Use "skip_action_on_key_down" option only for selections

	Don't use this option for actions that have to be triggered for
	the default clipboard (Ctrl+C).

2011-10-28	Mike Massonnet
menu.c: Remove forgotten #ifdef HAVE_LIBXTST

2011-10-28	Mike Massonnet
build-env: Make xtst a hard-dependency

2011-10-28	Mike Massonnet
build-env: Update error message for --enable-gen-doc

2011-10-28	Mike Massonnet
Bind paste-on-activate combobox to Xfconf

	The paste-on-activate combobox shows a list of possible values as
	text strings None, Ctrl+V, and Shift+Ins and has its 'active'
	property binded to the Xfconf property /tweaks/paste-on-activate.

2011-10-27	Mike Massonnet
Add "Tweaks" tab in the Settings dialog

	Modified the settings-dialog.ui file to include a new tab with
	existing hidden settings.
	
	Binded all the checkboxes to their Xfconf properties.

2011-10-27	Mike Massonnet
README: Update dependencies list

2011-10-26	Mike Massonnet
Use new Panel 4.8 installation directory for plugin

	Install plugin under the new location $prefix/lib/xfce4/panel/plugins/
	and update the main-panel-plugin.c code with the right macro to build
	libclipman.so instead of the executable binary.
	
	Moved the xfce4-clipman-plugin.desktop.in file to the panel-plugin
	directory as xfce4-clipman.desktop.in.

2011-10-25	Mike Massonnet
doc: Update git submodule reference


2011-10-24	Mike Massonnet
actions: Add "skip-action-on-key-down" option

	This option lets the user skip the actions popup menu by holding
	the Control key down when the selection is done, by default it's
	set to false.
	
	The Xfconf property /tweaks/skip-action-key-down is binded to it.

2011-10-24	Mike Massonnet
history: Add "reorder-items" option

	This option lets user choose to push or not the last copied text to
	the top of the history, by default it's set to true.
	
	The Xfconf property /tweaks/reorder-items is binded to it.

2011-10-24	Mike Massonnet
=== Release 1.2.0 ===

2011-10-24	Mike Massonnet
Update code to show the documentation with new location

	The code tries to find the new location of the localized documentation
	otherwise to fallback on the online documentation.

2011-10-21	Mike Massonnet
Include documentation from xfce4-docs

2011-10-20	Mike Massonnet
actions: show the actions menu only once for the same text (bug 6633)

2011-10-20	Mike Massonnet
Replace gdk_spawn against g_spawn

2011-10-19	Mike Massonnet
collector: Check instance types of GtkClipboard (bug 6323)

2011-10-19	Mike Massonnet
New feature "paste-on-activate"

	There is a new property in the ClipmanMenu class "paste-on-activate" that
	is bound to the xfconf property "/tweaks/paste-on-activate". This new
	property gives the possibility to paste a content that has been selected
	in the history.

	Currently the default value is off, there are two possible values to
	paste the content with Ctrl+V or Shift+Insert.

2011-10-19	Mike Massonnet
Remove Glade package requirement from autoconf script

2011-10-19	Mike Massonnet
Remove deprecated CHECK_VERSION precompilation code

2011-10-19	Mike Massonnet
Add optional build dependency for XTEST extension

	Include a test program that uses XTestFakeKeyEvent() to emulate Shift+Insert
	in order to "paste" content, works also for Ctrl+v.

	XTEST extension will be optional until an option is included in the settings
	dialog, then it will be a hard-dependency.

2011-10-17	Mike Massonnet
Add option "Reverse menu order" inside the settings dialog

	Add a checkbox inside the settings dialog for /tweaks/reverse-menu-order

2011-10-17	Mike Massonnet
Update code responsible to open website URL and manual

2011-08-10	Mike Massonnet
autoconf: Bump exo-0.3 to exo-1 0.6.0

2011-05-07	Mike Massonnet
Properly remove cache files on history clear (bug 6324)

2011-05-07	Mike Massonnet
Update copyright year and autogen.sh file

2011-05-07	Mike Massonnet
Use themed icon "clipman" or fallback to edit-paste (bug 6698)

2011-05-07	Mike Massonnet
Rework right click status icon menu

2011-05-07	Mike Massonnet
Add option /tweaks/popup-at-pointer

	New option in order to popup the menu at the position of the mouse
	pointer, works only if triggerred through xfce4-popup-clipman.

2011-05-07	Mike Massonnet
Shut down GCC warning messages

	-Wunused-but-set-variable
	-Wformat-extra-args

2011-05-07	Mike Massonnet
Readd "Inhibit" option (bug 6522)

2011-05-07	Mike Massonnet
Fix make check

2011-05-07	Mike Massonnet
Port to libxfce4ui (bug 6853)

	Applied patch from Matias De lellis.
	Bumped version to 1.2.0 and adapted dependecy versions to Xfce 4.8.

2011-01-09	Mike Massonnet
daemon: dispatch primary clipboard restoration

	The GtkEntryCompletion widget is continuously removing ownership over
	the clipboard, quickly after that setting it back.

	The code assumed that when the ownership was removed, it could safely
	restore the cached value. Wrong. This causes the widget to "erase" its
	current selection and typing continues at the end of the string (as seen
	in GNOME bug 333320).

	Now restoring works through a dispatched GSource, which enables to
	remove this GSource if ownership is set right back again.

2010-10-24	Mike Massonnet
tests: Add option -p in test_targets.c to print text

2010-01-23	Mike Massonnet
[status-icon] On autostart file update reset TryExec/Exec keys

2010-01-07	Mike Massonnet
[daemon] Fix possible NULL values (bug #6119 #6120)

	As reported, the abrt program detected a possible crash when the default
	cache is used to restore content or fill the selection while it is NULL.

2009-12-27	Mike Massonnet
[tests] Build with make check

	Drop the "if MAINTAINER_MODE" block and switch noinst against check. The
	test programs will therefore always be possible to be built by running
	make -C tests check.

2009-12-22	Mike Massonnet
Don't build the panel plugin with GSEAL_ENABLE

2009-12-19	Mike Massonnet
[settings-dialog] Only expand the commands treeview in the action dialog


2009-12-19	Mike Massonnet
Make compiler happy

	Ran the code with debug on and fixed all the warnings.

2009-12-14	Mike Massonnet
[regex-test-dialog] Show a refresh icon while typing

2009-12-13	Mike Massonnet
[settings-dialog] Increase border in action dialog

2009-12-13	Mike Massonnet
[actions] Save pattern parallel to the GRegex

	As the pattern is modified locally (last commit) it is needed to keep
	the pattern in a separate data memory. The ClipmanActionEntry has a new
	member "pattern". The code has been updated to use entry->pattern
	instead of g_regex_get_pattern.

2009-12-13	Mike Massonnet
[actions] Fix anchored regex

	The use of the compilation flag ANCHORED only constraint the match at
	the first matching point. Now the regex is changed manually with $ at
	the end.

2009-12-13	Mike Massonnet
[settings-dialog] Fix utf8 offset for tagging

	The tag were missplaced because GMatchInfo returns the position in bytes
	and not in characters. This is fixed by using g_utf8_pointer_to_offset.

	Also change the regex compilation flags, use MULTILINE and drop DOTALL,
	to use every new lines as a new string to test against.

2009-12-12	Mike Massonnet
[actions] New regex-dialog to quickly make tests

	The new dialog is opened by pressing the button beneath the action
	pattern in the action dialog. It lets the user type in random text to
	perform matches with the given regex pattern.

2009-12-11	Mike Massonnet
[settings-dialog] Polishment and actions-reset-button

	Set the settings dialog an inch bigger. Repolish the action dialog. New
	button beneath the actions treeview to reset the actions to the system
	default values.

2009-12-11	Mike Massonnet
[actions] Add whitespace pattern to action "Bugz"

	As suggested by Christoph (bug #6069).

2009-12-09	Mike Massonnet
[daemon] Fix a leak

	There was a lost bit, credit goes to Nick who noticed this.

2009-12-09	Mike Massonnet
[daemon] Fix bad assumption that I could free/copy the selection

	The code handling the get-selection callback was changed to free the
	selection and than copy the cached selection into it. This was baaad as
	it made further calls to the get-selection callback when freeing the
	selection which ended in a crash. The code has been switched back to the
	heavier version of calling the set function.

2009-12-08	Mike Massonnet
[actions] Update default actions in XML file

2009-12-07	Mike Massonnet
[daemon] Be less aggressive to store the primary clipboard

	The primary clipboard was saved very, very aggressively. This showed a
	real slow down when doing selections. Now it is delayed inside a timeout
	at a quarter second interval and will save for real once the selection
	is done (no mouse button hold or shift button on keyboard).
	If the selection is lost, we avoid storing the cached value again by
	keeping a state with an internal boolean value.

2009-12-07	Mike Massonnet
Make the code GSEAL-proof

2009-11-22	Mike Massonnet
[build-env] Add X11 link to xfce4-clipman-settings

2009-11-21	Mike Massonnet
[status-icon] Position the popup menu correctly

2009-11-20	Mike Massonnet
Add GNOME back inside the desktop entry file

2009-11-19	Mike Massonnet
[build-env] Use silent flags (as in parole)

2009-11-19	Mike Massonnet
[daemon] Drop useless ownership variable

2009-11-15	Mike Massonnet
=== Release 1.1.3 ===

2009-11-15	Mike Massonnet
[daemon] Fix empty clipboard when leaving Firefox (bug #5738)

2009-11-15	Mike Massonnet
=== Release 1.1.2 ===

	Update credits in the about dialog.
	Fix version of documentation (1.0.1) it will need an update.

2009-11-15	Mike Massonnet
[daemon] Rewrite the daemon using GTK+ functions

	The gsd-clipboard-manager has been rewritten using GTK+ functions. The
	X11 manager showed bugs with text selections and images not converted
	correctly. Also this new manager takes care about the primary clipboard.

2009-11-15	Mike Massonnet
[tests/test-targets] Print format/length of targets

2009-11-07	Mike Massonnet
[tests] Add daemon test program

	New test program for the daemon. The targets test program has a command
	line flag to switch between the selections and the default clipboard.

2009-10-31	Mike Massonnet
Fix popup from keyboard shortcut not always working (bug #5909)

	Factorize the popup action inside plugin.c(plugin_popup_menu) and add
	a menu position function callback pointer within the MyPlugin
	structure.
	Add workaround from xfdesktop for the popup action called through a
	keyboard shortcut.

2009-09-30	Mike Massonnet
=== Release 1.1.1 ===

2009-09-17	Mike Massonnet
Add info regarding the pattern entry

	- panel-plugin/settings-dialog.glade:
		Add a label under the pattern entry to inform about the
		G_REGEX_ANCHORED flag.

2009-09-12	Mike Massonnet
Change default option 'ignore selections' to true

2009-09-12	Mike Massonnet
New option 'ignore selections'

	- panel-plugin/settings-dialog.glade:
		Detached the Exclude selections from history option from the
		Sync selections and move it down to the History frame as
		Ignore selections.
	- panel-plugin/xfce4-clipman-settings.c:
		Drop the binding between sync selections and the ignore
		selections checkbox sensitivity.
	- panel-plugin/collector.c:
		Catch the selections in addition if the ignore selections is
		false as it is now independant from the sync selections
		option.

2009-09-03	Mike Massonnet
=== Release 1.1.0 ===

2009-07-28	Mike Massonnet
Update documentation (added Dannish and Italian, and updated Galician)

2009-07-28	Mike Massonnet
Set max history size to 1000 (bug #5618)

2009-07-24	Mike Massonnet
Add Simplified Chinese documentation

2009-07-15	Mike Massonnet
Run PNG images inside docs/manual through optipng (26%~ decrease)

2009-07-05	Mike Massonnet
Fix previous commit

2009-07-05	Mike Massonnet
Add reverse-order property to the menu

	- panel-plugin/menu.c:
		Install a new property reverse-order and when set to TRUE it
		reverses the order the clipboard history inside the menu (bug
		#5502).
	- panel-plugin/plugin.c:
		Bind the new menu property reverse-order to the Xfconf
		property /tweaks/reverse-menu-order.

2009-07-05	Mike Massonnet
Add French documentation

2009-07-04	Mike Massonnet
Use LC_MESSAGES to show the help in the user locale

	- panel-plugin/xfce4-clipman-settings.c:
		Use LC_MESSAGES as LC_ALL isn't always set (fix bug #5524).

2009-07-04	Mike Massonnet
Update documentation

2009-07-04	Mike Massonnet
Update NEWS and bump release to 1.1.0

2009-07-04	Mike Massonnet
Add daemon to Makefile.am

2009-07-04	Mike Massonnet
Return proper error code

	- panel-plugin/xfce4-clipman-settings.c:
		In case the unique command is not handled return
		UNIQUE_RESPONSE_PASSTHROUGH.

2009-07-04	Mike Massonnet
Unique settings dialog

	- configure.ac.in:
		Add optional dependency on libunique.
	- panel-plugin/xfce4-clipman-settings.c:
		Make the settings dialog unique and send the activate command
		if a running instance is found to present the existing window.

2009-07-04	Mike Massonnet
Drop size callback from status icon

	- panel-plugin/main-status-icon.c:
		Remove the callback size_changed from the status icon. It has
		a bug with the KDE notification area where the size is getting
		smaller and smaller until something like 2 pixels...

2009-07-04	Mike Massonnet
Update test program test_action.c

2009-07-04	Mike Massonnet
Add groups to ClipmanActions

	- panel-plugin/actions.c:
		New function clipman_actions_set_group to change a group of a
		given action identified by its human readable name.
		On action match check for the group (-1 means all the groups).
		Save/load the group to/from the xml file.
	- panel-plugin/collector.c:
		On default clipboard change, get a match from actions with
		group "manual".
	- panel-plugin/xfce4-clipman-settings.c,
	panel-plugin/settings-dialog.glade:
		Show the toggle button "only on manual copy".

2009-07-02	Mike Massonnet
Add a real good daemon

	- configure.ac.in, daemon/*:
		Add the clipboard manager daemon from gnome-settings-daemon.
		It makes a copy of all TARGETs and uses them to restore a
		clipboard before it is going empty.
		This directory builds a static library daemon/libdaemon.la.
	- panel-plugin/plugin.c:
		Check for an existing ownership on CLIPBOARD_MANAGER, and if
		none is found instantiate a daemon and start it.

2009-07-02	Mike Massonnet
Update autostart behavior

	- panel-plugin/main-status-icon.c:
		When installing the autostart file, don't ask the user and
		copy the file with the Hidden key set to false.
		When dropping clipman from the notification area set the
		autostart Hidden key to true.

2009-07-02	Mike Massonnet
Forgot to use plugin.h in main-panel-plugin.c

2009-07-01	Mike Massonnet
Split Clipman in two binaries, one for the panel and one for notification area

	- panel-plugin/plugin.[ch]:
		Contains common code for poping up the main menu, displaying
		the settings and about dialog.
	- panel-plugin/main-panel-plugin.c:
		Code related to the panel plugin only. The heavy preint/check
		functions are gone.
	- panel-plugin/main-status-icon.c:
		Code to build the status icon for the notification are within
		a main function.
	- panel-plugin/Makefile.am:
		The panel plugin gets installed under libexec again, and the
		standalone binary is installed under bin as xfce4-clipman.

2009-05-30	Mike Massonnet
Use GIO to track changes over the actions xml file

	- panel-plugin/actions.c:
		Use a GFile and replace old functions g_file_set/get_contents
		against g_file_replace/load_contents. Note: the function
		g_file_replace_contents does not work with size = -1.

2009-05-29	Mike Massonnet
Move the settings dialog outside

	- panel-plugin/Makefile.am:
		Build new binary xfce4-clipman-settings.
		Remove Glade dependency on the panel plugin.
	- panel-plugin/xfce4-clipman-settings.c:
		Moved all settings dialog related functions from main.c to
		this file.
	- panel-plugin/main.c:
		Make a call to xfce4-clipman-settings instead.

2009-05-29	Mike Massonnet
=== Release 1.0.2 ===

2009-06-28	Mike Massonnet
Drop inhibit option

	- panel-plugin/collector.[ch]:
		Remove inhibit property.
	- panel-plugin/main.c, panel-plugin/menu.c:
		Same here, wipe out code related to the inhibit option.

2009-05-15	Mike Massonnet
Only consider XFCE for OnlyShowIn

	- xfce4-clipman-plugin.desktop.in:
		Do not include GNOME, KDE and LXDE, it is best to show the
		Xfce Clipman Plugin only inside an XFCE menu.

2009-05-15	Mike Massonnet
Do not consider text/html as text

	- panel-plugin/collector.c(cb_clipboard_owner_change):
		Drop check on text/html atom.

2009-05-14	Mike Massonnet
=== Release 1.0.1 ===

2009-05-14	Mike Massonnet
Ask the user if the clipboard manager should be restarted

	- panel-plugin/main.c(update_autostart_file):
		New function to set the Hidden key to true or false.
	- panel-plugin/main.c(cb_status_icon_quit):
		Ask the user if the manager should be restarted.

2009-04-26	Mike Massonnet
Rename "Add selections" to "Sync selections"

	- panel-plugin/settings-dialog.glade:
		Rename the option Add selections.

2009-04-25	Mike Massonnet
Make strings in authors about dialog translatable

	- panel-plugin/main.c(plugin_about):
		Don't declare static strings cause gettext isn't usable this
		way.

2009-04-24	Mike Massonnet
Proper block/unblock menu functions and fix locale bug

	- panel-plugin/main.c:
		Add new functions plugin_block_menu/unblock_menu to block the
		popup menu of the status icon in a proper way.
	- panel-plugin/main.c(plugin_about):
		Drop the macro XFCE_LICENSE_GPL in favor of a static text.
		Fixes bug #5285.

2009-04-24	Mike Massonnet
Fix dummy warning

2009-04-23	Mike Massonnet
Use stock item for the main icon

	- panel-plugin/main.c(cb_status_icon_set_size),
	panel-plugin/main.c(panel_plugin_set_size):
		Use stock icon paste to fit the user icon theme.

2009-04-23	Mike Massonnet
Yet another GMarkup fix

2009-04-22	Mike Massonnet
Update documentation

2009-04-22	Mike Massonnet
New option to exclude selections from the history

	- panel-plugin/settings-dialog.glade:
		Move option "Add selections" to new frame "Behavior" and add a
		new option that allows to exclude the selections from the
		history.
	- panel-plugin/collector.c:
		Install a new property history-ignore-primary-clipboard use it
		inside cb_check_primary_clipboard() to prevent a selection
		from going into the history.
	- panel-plugin/main.c:
		Bind new property to xfconf and the settings dialog.
	- panel-plugin/common.h:
		New default setting for history-ignore-primary-clipboard.

2009-04-21	Mike Massonnet
Refixing the last two commits with the right function calls

	- panel-plugin/main.c:
		Use g_markup_printf_escaped() instead of in-between variables
		being set with g_markup_escape_text().

2009-04-21	Mike Massonnet
Same commit for the regex and the command that are also displayed

2009-04-21	Mike Massonnet
Markup escape for action name and command name in the treeview

2009-04-21	Mike Massonnet
Add OnlyShowIn to the desktop entry file for the menu

	- xfce4-clipman-plugin.desktop.in:
		The file is using a reserved category and therefore must have
		a OnlyShowIn key.

2009-04-21	Mike Massonnet
Open the documentation in the user locale

	- panel-plugin/main.c(cb_show_help):
		Trigger through possible filenames based on the user locale.

2009-04-21	Mike Massonnet
Update documentation

2009-04-20	Mike Massonnet
=== Release 1.0.0 ===

2009-04-19	Mike Massonnet
Add me to the documenters

2009-04-19	Mike Massonnet
Set Help button sensitive in dialog and add code to show the help

	- panel-plugin/Makefile.am:
		Define DATAROOTDIR to be able to point into xfce4/doc.
	- panel-plugin/main.c:
		New callback cb_show_help to run a command that opens the html
		manual file.

2009-04-19	Mike Massonnet
Add documentation

2009-04-18	Mike Massonnet
Add a simple signal for items being added in ClipmanHistory

	- panel-plugin/history.c, panel-plugin/history.h:
		Install a signal item-added in the class. Emit it when a new
		item is added into the history.
	- panel-plugin/main.c(plugin_register):
		Connect to the signal item-added after loading the data.
	- panel-plugin/main.c(cb_status_icon_quit),
	panel-plugin/main.c(cb_status_icon_popup_menu):
		New callback for the Quit item in the status icon popup menu.
		Hide the status icon before leaving the main loop as it can
		take a little moment sometimes.

2009-04-18	Mike Massonnet
Update credits for the translator and previous authors

2009-04-18	Mike Massonnet
Add about dialog

2009-04-16	Mike Massonnet
Init the locale one stage earlier

	- panel-plugin/main.c:
		Call xfce_textdomain() in the preinit callback otherwise the
		error message wouldn't be localisated.


2009-04-16	Mike Massonnet
Prepare for release

2009-04-15	Mike Massonnet
Use a WeakNotify callback... useless but well...

	- panel-plugin/main.c:
		Unref the status icon and move the plugin_save/free calls to a
		WeakNotify callback on the status icon.

2009-04-15	Mike Massonnet
Install autostart file automagically

	- panel-plugin/xfce4-clipman-plugin-autostart.desktop.in,
	panel-plugin/Makefile.am:
		Install a system wide autostart file with Hidden set to true
		by default.
	- panel-plugin/main.c:
		New function install_autostart_file() called after creating
		the status icon to install the autostart file to the user
		config directory (thus at the first run) with the key Hidden
		set automatically to either false or left to true.

2009-04-15	Mike Massonnet
Replace g_idle against g_timeout

	- panel-plugin/main.c(status_icon_register):
		Use g_timeout of 60 seconds instead of g_idle (asap as the main
		loop is idle) since I noticed that logging in with the plugin
		being autostarted and the panel was not yet all run up, the
		plugin quit as it has been reported to be not embedded within
		the notification area.

2009-04-14	Mike Massonnet
Drop startup notification from the desktop entry file

	- xfce4-clipman-plugin.desktop.in:
		Set StartupNotify to false

2009-04-14	Mike Massonnet
Block status icon popup menu if settings dialog is open

	- panel-plugin/main.c(cb_status_icon_popup_menu):
		Don't popup the menu if the settings dialog is open.

2009-04-13	Mike Massonnet
Forgot the desktop entry files

	- panel-plugin/xfce4-clipman-plugin.desktop.in.in,
	xfce4-clipman-plugin.desktop.in:
		Use the new icons in these files aswell.

2009-04-13	Mike Massonnet
Add home-made icon for the touch of personalization

	- Makefile.am, configure.ac.in, icons/*:
		Build and install icons.
	- panel-plugin/main.c, panel-plugin/settings-dialog.glade:
		Use new icon (keep the stock icon as fallback).

2009-04-13	Mike Massonnet
Add (invisible) option in the action settings dialog

	- panel-plugin/settings-dialog.glade:
		Add a new checkbox for individual actions "Activate only on
		default clipboard" to restrict the use of an action only when
		manually copied (for instance a URL pattern). For the moment
		this setting is left unimplemented, but there so it can
		already be translated for the time being.

2009-04-13	Mike Massonnet
Add Inhibit option in the Clipman menu

	- panel-plugin/collector.c, panel-plugin/collector.h:
		Add a GObject property inhibit and ignore changes happening on
		the clipboards in the clipboard owner changes callback if it is
		set to TRUE.
		Add a public function clipman_collector_inhibit().
	- panel-plugin/menu.c:
		Add a Enable check item in the menu. Use libexo to bind the
		inhibit property of ClipmanCollector to the active property of
		the check item -- with a negation as inhibit on TRUE would mean
		disabled.
	- panel-plugin/main.c:
		Bind the inhibit property of ClipmanCollector to the new xfconf
		property inhibit.

2009-04-13	Mike Massonnet
Set ownership on CLIPBOARD_MANAGER

	- panel-plugin/main.c:
		Add a panel plugin check function and acquire ownership on the
		X11 Selection CLIPBOARD_MANAGER. Quit the application if there
		is an application already with the ownership. This part follows
		the "clipboard manager spec" from freedesktop, but it doesn't
		implement the possibility to be replaced by another manager.
	- panel-plugin/main.c(plugin_preinit):
		Set human readable name for the application if run in the
		notification area.

2009-04-13	Mike Massonnet
Make the plugin run as a standalone application

	- panel-plugin/main.c:
		Rename panel-plugin.c to main.c and use the Full register
		function from libxfce4panel to check if the plugin is run from
		the command line and build a status icon instead of the panel
		plugin with a button.
	- panel-plugin/Makefile.am:
		Install the plugin to bindir.
	- Makefile.am, xfce4-clipman-plugin.desktop.in:
		Install a desktop entry file for the menu.

2009-04-11	Mike Massonnet
Set Clipman the owner of a text content only on specific target

	- panel-plugin/collector.c(cb_clipboard_owner_change):
		Check target of text content and make Clipman the owner of the
		text only if the targets text/plain or text/html is available.
	- panel-plugin/collector.c(cb_check_primary_clipboard):
		Useless call to clipman_history_add_text() as the text is going
		into the default clipboard.

2009-04-10	Mike Massonnet
New test program to report targets

2009-04-02	Mike Massonnet
String update (Regex > Pattern)

2009-04-02	Mike Massonnet
Fix Makefile

	- panel-plugin/Makefile.am:
		I forgot to finish the changes on this file...

2009-04-02	Mike Massonnet
Install a popup command

	- configure.ac.in, panel-plugin/Makefile.am:
		Install the new binary xfce4-popup-clipman.
	- panel-plugin/panel-plugin.c, panel-plugin/common.h:
		Add an X11 selection on the panel plugin and listen to it.
	- panel-plugin/xfce4-popup-clipman.c:
		New binary that sends a message to the X11 selection installed
		in the panel plugin.

2009-04-01	Mike Massonnet
Set long URLs to 120 characters at least

	- panel-plugin/xfce4-clipman-actions.xml.in:
		Change the minimum size of long URLs from 80 to 120

2009-04-01	Mike Massonnet
Update the strings, yet again

2009-04-01	Mike Massonnet
Update the strings

2009-04-01	Mike Massonnet
April April I restore the actions

	- panel-plugin/collector.c(cb_clipboard_owner_change):
		I broked the actions earlier, fixed now.
	- panel-plugin/xfce4-clipman-actions.xml.in:
		New action for long URLs with a command to send the link to TinyURL

2009-03-31	Mike Massonnet
Set sensitivity of OK button in action dialog

	- panel-plugin/panel-plugin.c(panel_plugin_configure):
		Put the action dialog in the same window group as the settings dialog
		to respect its modal state.
	- panel-plugin/panel-plugin.c(panel_plugin_configure):
		Connect action-name, regex, and buttons add-command/delete-command to
		the new callback cb_set_action_dialog_button_ok to set automatically
		the sensitivity of the OK button in the action dialog.
	- panel-plugin/panel-plugin.c(cb_actions_row_activated):
		Set the entry texts after the commands in the treeview so it
		updates the OK button sensitivity via the entry text changes.
	- panel-plugin/panel-plugin.c(cb_add_command):
		Fix the condition to add a new command and do the same check in
		cb_refresh_command.
	- panel-plugin/panel-plugin.c(cb_set_action_dialog_button_ok):
		Verify that there is a command-name, a valid regex, and at least one
		command to set the OK button sensitive, otherwise not.

2009-03-31	Mike Massonnet
Make Clipman the owner of the clipboard contents

	- panel-plugin/collector.c:
		Rename priv->restoring to priv->internal_change.  Drop function
		_clipman_collector_restore_clipboard in favor of making Clipman
		automatically the owner of the clipboard contents.  This doesn't work
		for the primary clipboard as it would destroy the selection under hand
		thus it will lack this functionnality, but all-in-all this clipboard
